GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions
gdcm::network::AAssociateRQPDU Class Reference

AAssociateRQPDU Table 9-11 ASSOCIATE-RQ PDU fields. More...

`#include <gdcmAAssociateRQPDU.h>`

Inheritance diagram for gdcm::network::AAssociateRQPDU:
[legend]
Collaboration diagram for gdcm::network::AAssociateRQPDU:
[legend]

List of all members.

## Public Types

typedef std::vector < PresentationContextRQ > | PresentationContextArrayType
typedef std::vector < PresentationContextRQ > ::size_type | SizeType

## Public Member Functions

| AAssociateRQPDU ()
| AAssociateRQPDU (const AAssociateRQPDU &)
void | AddPresentationContext (PresentationContextRQ const &pc)
std::string | GetCalledAETitle () const
std::string | GetCallingAETitle () const
SizeType | GetNumberOfPresentationContext () const
PresentationContextRQ const & | GetPresentationContext (SizeType i) const
const PresentationContextRQ * | GetPresentationContextByAbstractSyntax (AbstractSyntax const &as) const
const PresentationContextRQ * | GetPresentationContextByID (uint8_t i) const
PresentationContextArrayType const & | GetPresentationContexts ()
bool | IsLastFragment () const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetCalledAETitle (const char calledaetitle[16])
| Set the Called AE Title.
void | SetCallingAETitle (const char callingaetitle[16])
| Set the Calling AE Title.
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Static Public Member Functions

static bool | IsAETitleValid (const char title[16])
| Check whether or not the title is a valid AE title.

## Detailed Description

AAssociateRQPDU Table 9-11 ASSOCIATE-RQ PDU fields.

## Member Typedef Documentation

typedef std::vector<PresentationContextRQ> gdcm::network::AAssociateRQPDU::PresentationContextArrayType

typedef std::vector<PresentationContextRQ>::size_type gdcm::network::AAssociateRQPDU::SizeType

## Constructor & Destructor Documentation

gdcm::network::AAssociateRQPDU::AAssociateRQPDU | ( |  | ) |

gdcm::network::AAssociateRQPDU::AAssociateRQPDU | ( | const AAssociateRQPDU & |  | ) | `[inline]`

## Member Function Documentation

void gdcm::network::AAssociateRQPDU::AddPresentationContext | ( | PresentationContextRQ const & | pc | ) |

std::string gdcm::network::AAssociateRQPDU::GetCalledAETitle | ( |  | ) | const`[inline]`

std::string gdcm::network::AAssociateRQPDU::GetCallingAETitle | ( |  | ) | const`[inline]`

SizeType gdcm::network::AAssociateRQPDU::GetNumberOfPresentationContext | ( |  | ) | const`[inline]`

PresentationContextRQ const& gdcm::network::AAssociateRQPDU::GetPresentationContext | ( | SizeType | i | ) | const`[inline]`

const PresentationContextRQ* gdcm::network::AAssociateRQPDU::GetPresentationContextByAbstractSyntax | ( | AbstractSyntax const & | as | ) | const

const PresentationContextRQ* gdcm::network::AAssociateRQPDU::GetPresentationContextByID | ( | uint8_t | i | ) | const

PresentationContextArrayType const& gdcm::network::AAssociateRQPDU::GetPresentationContexts | ( |  | ) | `[inline]`

static bool gdcm::network::AAssociateRQPDU::IsAETitleValid | ( | const char | title[16] | ) | `[static]`

Check whether or not the title is a valid AE title.

bool gdcm::network::AAssociateRQPDU::IsLastFragment | ( |  | ) | const`[inline, virtual]`

Implements gdcm::network::BasePDU.

void gdcm::network::AAssociateRQPDU::Print | ( | std::ostream & | os | ) | const`[virtual]`

This function will initialize an AAssociateACPDU from the fields in the AAssociateRQPDU structure

Implements gdcm::network::BasePDU.

std::istream& gdcm::network::AAssociateRQPDU::Read | ( | std::istream & | is | ) | `[virtual]`

Implements gdcm::network::BasePDU.

void gdcm::network::AAssociateRQPDU::SetCalledAETitle | ( | const char | calledaetitle[16] | ) |

Set the Called AE Title.

void gdcm::network::AAssociateRQPDU::SetCallingAETitle | ( | const char | callingaetitle[16] | ) |

Set the Calling AE Title.

size_t gdcm::network::AAssociateRQPDU::Size | ( |  | ) | const`[virtual]`

Implements gdcm::network::BasePDU.

const std::ostream& gdcm::network::AAssociateRQPDU::Write | ( | std::ostream & | os | ) | const`[virtual]`

Implements gdcm::network::BasePDU.

The documentation for this class was generated from the following file:

- gdcmAAssociateRQPDU.h